// ProductHome.java

package org.objectweb.jonas.stests.manyops;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the bean Product
 */
public interface ProductHome extends EJBHome {
    Product create(String name, int num, int price) throws CreateException, RemoteException;
    Product findByPrimaryKey(java.lang.String pk) throws FinderException, RemoteException;
    Product findByNumber(int n) throws FinderException, RemoteException;
    Collection findAll() throws FinderException, RemoteException;
}
